%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:           gupnp-vala
Version:        0.10.3
Release:        %mkrel 1
Summary:        GUPnP is a uPnP framework. This adds vala language bindings
Group:          Development/Other
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gssdp-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.18.0
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.9.0
BuildRequires:	pkgconfig(gupnp-dlna-1.0) >= 0.5.1
Requires:	vala >= 0.9.5

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

This package adds vala language bindings.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS
%{_datadir}/vala/vapi/*
%{_libdir}/pkgconfig/gupnp-vala-1.0.pc


%changelog

* Mon Feb 13 2012 fwang <fwang> 0.10.3-1.mga2
+ Revision: 208398
- new version 0.10.3

* Tue Sep 27 2011 wally <wally> 0.10.2-1.mga2
+ Revision: 149521
- clean .spec a bit
- imported package gupnp-vala

